Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176678 - Ethiopic needed for Amharic at install time.
Summary: Ethiopic needed for Amharic at install time.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 5
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-29 14:33 UTC by Daniel Yacob
Modified: 2014-03-17 02:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-27 03:59:46 UTC


Attachments (Terms of Use)

Description Daniel Yacob 2005-12-29 14:33:27 UTC
Description of problem:
Starting with FC4 the anaconda installation offers the Amharic language
translation option but no font is included to display Amharic text.


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Select Amharic during installation (am-ET)
2.
3.
  
Actual results:
boxes with character addresses.

Expected results:
readible characters.

Additional info:
An Ethiopic font needs to be available at installation time.  X.org comes with a
scalable Ethiopic font that can be included:

http://x.hostingzero.com/X11R7.0/src/font/font-misc-ethiopic-X11R7.0-1.0.0.tar.bz2

use either GohaTibeb.otf or GohaTibeb.ttf

a BDF font is also available:

http://x.hostingzero.com/X11R7.0/src/font/font-mutt-misc-X11R7.0-1.0.0.tar.bz2

use cu12.bdf .  Leon Ho is also familiar with the issue.

Comment 1 Chris Lumens 2006-01-04 18:44:28 UTC
We need to ship the font in the distribution before we can add it to the install
images.

Comment 2 Bill Nottingham 2006-01-06 19:27:12 UTC
Assigning to the proper team.

Comment 3 Mike A. Harris 2006-01-25 02:30:12 UTC
The ethiopic font supplied in Xorg and XFree86, has always been disabled by
default in the builds.  In X.Org 7.0, it is provided as well, but we have
followed the upstream default of not building it by default.

I've CC'd Owen Taylor to see if he's aware of any reason that enabling the
Ethiopic TTF/OTF fonts supplied with X might cause.

The BDF font referenced in the initial comment above, is already included
in Fedora Core as far as I recall.  Examine the xorg-x11-fonts package
for details.



Comment 4 Daniel Yacob 2006-01-25 19:23:49 UTC
Cust a thought here.  If it does make a difference, can enabling the TTF/OTF
font be conditional?  That is, it is only enabled if the user has selected
Amharic as their installation language?  I'm not clear on the run-time vs
build-time differences.

Comment 5 Mike A. Harris 2006-01-27 02:47:26 UTC
(In reply to comment #4)
> Cust a thought here.  If it does make a difference, can enabling the TTF/OTF
> font be conditional?  That is, it is only enabled if the user has selected
> Amharic as their installation language?  I'm not clear on the run-time vs
> build-time differences.

The rpm packaging just packages the fonts.  It's up to the installer
to decide what packages end up getting installed.



Comment 6 Mike A. Harris 2006-01-27 02:51:14 UTC
I've discussed this with Owen a bit, and we've decided that we can enable
the ethiopic font (.otf/.ttf) that is supplied by X.Org for testing purposes
for the time being.  Assuming the font works out ok, and does not regress
other language installations (like some of the X.org supplied Syriac fonts
have done in the past), we may be able to ship these fonts in FC5.

I will enable the ethiopic font package in the next xorg-x11-fonts package
rebuild, and update the report once that's complete.


Comment 7 Mike A. Harris 2006-01-27 03:59:46 UTC
The ethiopic TTF/OTF fonts are now built as part of the new
subpackage xorg-x11-fonts-ethiopic

Please test these fonts as much as possible both with ethiopic writing,
as well as with standard English, and whatever other languages you use
on a general basis.  Hopefully the fonts contain no bad codepoints for
other languages.

Thanks in advance.



Note You need to log in before you can comment on or make changes to this bug.